Package org.springframework.beans.factory.config

# Class AutowiredPropertyMarker

java.lang.Object
org.springframework.beans.factory.config.AutowiredPropertyMarker

All Implemented Interfaces:
  `Serializable`

public final class AutowiredPropertyMarker extends Object implements Serializable
Simple marker class for an individually autowired property value, to be added to `BeanDefinition.getPropertyValues()` for a specific bean property.

At runtime, this will be replaced with a `DependencyDescriptor` for the corresponding bean property's write method, eventually to be resolved through a `AutowireCapableBeanFactory.resolveDependency(org.springframework.beans.factory.config.DependencyDescriptor, java.lang.String)` step.

Since:
  5.2
Author:
  Juergen Hoeller
See Also:
  - `AutowireCapableBeanFactory.resolveDependency(org.springframework.beans.factory.config.DependencyDescriptor, java.lang.String)`
  - `BeanDefinition.getPropertyValues()`
  - `BeanDefinitionBuilder.addAutowiredProperty(java.lang.String)`
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Object`
`INSTANCE`
The canonical instance for the autowired marker value.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object other)`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### INSTANCE

public static final Object INSTANCE
The canonical instance for the autowired marker value.

## Method Details

### equals

public boolean equals(@Nullable Object other)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`